/*
 File: lr1_sp6.cpp
 Date and Time: Sun Sep 14 21:16:19 2014 
*/
#include "lr1_sp6.h"
using namespace NS_yacco2_T_enum;// enumerate
using namespace NS_yacco2_err_symbols;// error symbols
using namespace NS_yacco2_k_symbols;// lrk 
using namespace NS_yacco2_terminals;// terminals
using namespace NS_yacco2_characters;// rc 
using namespace yacco2;// yacco2 library
using namespace NS_lr1_sp6;// grammar's ns
// first set terminals
fsm_rules_reuse_table_type::fsm_rules_reuse_table_type(){
 no_rules_entries_ = 10;
 per_rule_s_table_[0] =  new Per_rule_s_reuse_table();
 per_rule_s_table_[1] =  new Per_rule_s_reuse_table();
 per_rule_s_table_[2] =  new Per_rule_s_reuse_table();
 per_rule_s_table_[3] =  new Per_rule_s_reuse_table();
 per_rule_s_table_[4] =  new Per_rule_s_reuse_table();
 per_rule_s_table_[5] =  new Per_rule_s_reuse_table();
 per_rule_s_table_[6] =  new Per_rule_s_reuse_table();
 per_rule_s_table_[7] =  new Per_rule_s_reuse_table();
 per_rule_s_table_[8] =  new Per_rule_s_reuse_table();
 per_rule_s_table_[9] =  new Per_rule_s_reuse_table();
}
  Clr1_sp6_fsm::
  Clr1_sp6_fsm()
    :yacco2::CAbs_fsm
      ("lr1_sp6.lex"
      ,"1.0"
      ,"8-oct-96"
      ,true
      ,"test out lr1"
      ,"Sun Sep 14 21:16:19 2014 "
      ,S1_Clr1_sp6_fsm){
    
  }
 
Clr1_sp6_fsm::~Clr1_sp6_fsm(){

  for(int x = 0;x < 10;++x){
   ///delete fsm_rules_reuse_table.per_rule_s_table_[x];
  }
} 

  bool Clr1_sp6_fsm::failed(){
      return false;
  }
  void Clr1_sp6_fsm::op(){
}
int Clr1_sp6_fsm::rhs_to_rules_mapping_[19] = {
 -1
 ,0 // subrule 1 for rule 1
 ,1 // subrule 2 for rule 2
 ,2 // subrule 3 for rule 3
 ,2 // subrule 4 for rule 3
 ,3 // subrule 5 for rule 4
 ,4 // subrule 6 for rule 5
 ,5 // subrule 7 for rule 6
 ,5 // subrule 8 for rule 6
 ,5 // subrule 9 for rule 6
 ,5 // subrule 10 for rule 6
 ,5 // subrule 11 for rule 6
 ,6 // subrule 12 for rule 7
 ,7 // subrule 13 for rule 8
 ,8 // subrule 14 for rule 9
 ,8 // subrule 15 for rule 9
 ,8 // subrule 16 for rule 9
 ,9 // subrule 17 for rule 10
 ,9 // subrule 18 for rule 10
}; 
Repi_test::Repi_test(yacco2::Parser* P)
 :CAbs_lr1_sym
  ("Repi_test",0,Clr1_sp6_fsm::R_Repi_test_,P,false,false){
}

Repi_rt_bnd_tst::Repi_rt_bnd_tst(yacco2::Parser* P)
 :CAbs_lr1_sym
  ("Repi_rt_bnd_tst",0,Clr1_sp6_fsm::R_Repi_rt_bnd_tst_,P,false,false){
}

Repi::Repi(yacco2::Parser* P)
 :CAbs_lr1_sym
  ("Repi",0,Clr1_sp6_fsm::R_Repi_,P,false,false){
}

Repi_eog::Repi_eog(yacco2::Parser* P)
 :CAbs_lr1_sym
  ("Repi_eog",0,Clr1_sp6_fsm::R_Repi_eog_,P,false,false){
}

Rlr1_sp5::Rlr1_sp5(yacco2::Parser* P)
 :CAbs_lr1_sym
  ("Rlr1_sp5",0,Clr1_sp6_fsm::R_Rlr1_sp5_,P,false,false){
}

RS::RS(yacco2::Parser* P)
 :CAbs_lr1_sym
  ("RS",0,Clr1_sp6_fsm::R_RS_,P,false,false){
}

RA::RA(yacco2::Parser* P)
 :CAbs_lr1_sym
  ("RA",0,Clr1_sp6_fsm::R_RA_,P,false,false){
}

RB::RB(yacco2::Parser* P)
 :CAbs_lr1_sym
  ("RB",0,Clr1_sp6_fsm::R_RB_,P,false,false){
}

RD::RD(yacco2::Parser* P)
 :CAbs_lr1_sym
  ("RD",0,Clr1_sp6_fsm::R_RD_,P,false,false){
}

RE::RE(yacco2::Parser* P)
 :CAbs_lr1_sym
  ("RE",0,Clr1_sp6_fsm::R_RE_,P,false,false){
}

